## svg2zinc-perl 0.9

=== Makefile ===
# This Makefile is for the SVG::SVG2zinc extension to perl.
#
# It was generated automatically by MakeMaker version
# 5.45 (Revision: 1.222) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#	ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: (q[INSTALLDIRS=vendor], q[FULLPERL=PERL_DL_NONLAZY=0 /usr/bin/perl])
#
#   MakeMaker Parameters:

#	ABSTRACT => q[display or convert svg files in modules, script, or images]
#	AUTHOR => q[Christophe Mertz <mertz@cena.fr>]
#	EXE_FILES => [q[svg2zinc.pl], q[testGeneratedPerlClasses.pl]]
#	NAME => q[SVG::SVG2zinc]
#	PMLIBDIRS => [q[SVG2zinc], q[lib]]
#	PREREQ_PM => { Tk::Zinc=>q[3.295], Tk::PNG=>q[2.005], XML::Parser=>q[2.3], Tk::JPEG=>q[2.014] }
#	VERSION_FROM => q[SVG2zinc.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.6.1/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.2.5.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.4.20-7um
RANLIB = :
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = SVG::SVG2zinc
DISTNAME = SVG-SVG2zinc
NAME_SYM = SVG_SVG2zinc
VERSION = 0.09
VERSION_SYM = 0_09
XS_VERSION = 0.09
INST_BIN = blib/bin
INST_EXE = blib/script
INST_LIB = blib/lib
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
PREFIX = /usr
SITEPREFIX = $(PREFIX)/local
INSTALLDIRS = vendor
INSTALLPRIVLIB = $(PREFIX)/share/perl/5.6.1
INSTALLARCHLIB = $(PREFIX)/lib/perl/5.6.1
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.6.1
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.6.1
INSTALLVENDORLIB = $(PREFIX)/share/perl5
INSTALLVENDORARCH = $(PREFIX)/lib/perl5
INSTALLBIN = $(PREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
INSTALLSITEBIN = $(SITEPREFIX)/bin
PERL_LIB = /usr/share/perl/5.6.1
PERL_ARCHLIB = /usr/lib/perl/5.6.1
SITELIBEXP = /usr/local/share/perl/5.6.1
SITEARCHEXP = /usr/local/lib/perl/5.6.1
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.6.1/CORE
PERL = /usr/bin/perl
FULLPERL = PERL_DL_NONLAZY=0 /usr/bin/perl
FULL_AR = /usr/bin/ar

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc

MAKEMAKER = /usr/share/perl/5.6.1/ExtUtils/MakeMaker.pm
MM_VERSION = 5.45

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# ROOTEXT = Directory part of FULLEXT with leading slash (eg /DBD)  !!! Deprecated from MM 5.32  !!!
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = SVG/SVG2zinc
BASEEXT = SVG2zinc
PARENT_NAME = SVG
DLBASE = $(BASEEXT)
VERSION_FROM = SVG2zinc.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
HTMLLIBPODS    = 
HTMLSCRIPTPODS = 
MAN1PODS = svg2zinc.pl \
	testGeneratedPerlClasses.pl
MAN3PODS = SVG2zinc.pm \
	SVG2zinc/Backend.pm \
	SVG2zinc/Backend/Display.pm \
	SVG2zinc/Backend/Image.pm \
	SVG2zinc/Backend/PerlScript.pm \
	SVG2zinc/Backend/TclScript.pm \
	lib/Math/Bezier/Convert.pm \
	svg2zinc.pl \
	testGeneratedPerlClasses.pl
HTMLEXT = html
INST_MAN1DIR = blib/man1
INSTALLMAN1DIR = $(PREFIX)/share/man/man1
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
MAN1EXT = 1p
INST_MAN3DIR = blib/man3
INSTALLMAN3DIR = $(PREFIX)/share/man/man3
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
MAN3EXT = 3pm
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)/SVG
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/SVG

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = 

PERL_ARCHIVE = 

PERL_ARCHIVE_AFTER = 

TO_INST_PM = CPAN-isation-svg2zinc.pl \
	SVG2zinc.pm \
	SVG2zinc/Backend.pm \
	SVG2zinc/Backend/Display.pm \
	SVG2zinc/Backend/Image.pm \
	SVG2zinc/Backend/PerlClass.pm \
	SVG2zinc/Backend/PerlScript.pm \
	SVG2zinc/Backend/Print.pm \
	SVG2zinc/Backend/Tcl.pm \
	SVG2zinc/Backend/TclScript.pm \
	SVG2zinc/Conversions.pm \
	lib/Math/Bezier/Convert.pm \
	lib/Tk/Zinc/SVGExtension.pm \
	svg2zinc.pl \
	testGeneratedPerlClasses.pl

PM_TO_BLIB = SVG2zinc/Backend/Tcl.pm \
	$(INST_LIBDIR)/SVG2zinc/Backend/Tcl.pm \
	testGeneratedPerlClasses.pl \
	$(INST_LIBDIR)/testGeneratedPerlClasses.pl \
	SVG2zinc.pm \
	$(INST_LIBDIR)/SVG2zinc.pm \
	SVG2zinc/Backend.pm \
	$(INST_LIBDIR)/SVG2zinc/Backend.pm \
	SVG2zinc/Backend/Print.pm \
	$(INST_LIBDIR)/SVG2zinc/Backend/Print.pm \
	svg2zinc.pl \
	$(INST_LIBDIR)/svg2zinc.pl \
	SVG2zinc/Backend/TclScript.pm \
	$(INST_LIBDIR)/SVG2zinc/Backend/TclScript.pm \
	SVG2zinc/Backend/PerlScript.pm \
	$(INST_LIBDIR)/SVG2zinc/Backend/PerlScript.pm \
	SVG2zinc/Backend/Image.pm \
	$(INST_LIBDIR)/SVG2zinc/Backend/Image.pm \
	SVG2zinc/Backend/PerlClass.pm \
	$(INST_LIBDIR)/SVG2zinc/Backend/PerlClass.pm \
	SVG2zinc/Backend/Display.pm \
	$(INST_LIBDIR)/SVG2zinc/Backend/Display.pm \
	lib/Math/Bezier/Convert.pm \
	$(INST_LIB)/Math/Bezier/Convert.pm \
	CPAN-isation-svg2zinc.pl \
	$(INST_LIBDIR)/CPAN-isation-svg2zinc.pl \
	lib/Tk/Zinc/SVGExtension.pm \
	$(INST_LIB)/Tk/Zinc/SVGExtension.pm \
	SVG2zinc/Conversions.pm \
	$(INST_LIBDIR)/SVG2zinc/Conversions.pm


# --- MakeMaker tool_autosplit section:

# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" -e 'use AutoSplit;autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'


# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = cc
MV = mv
NOOP = $(SHELL) -c true
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=0

MOD_INSTALL = $(PERL) -I$(INST_LIB) -I$(PERL_LIB) -MExtUtils::Install \
-e "install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e '$$\="\n\n";' \
-e 'print "=head2 ", scalar(localtime), ": C<", shift, ">", " L<", $$arg=shift, "|", $$arg, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERL) -MExtUtils::Install \
-e 'uninstall($$ARGV[0],1,1); print "\nUninstall is deprecated. Please check the";' \
-e 'print " packlist above carefully.\n  There may be errors. Remove the";' \
-e 'print " appropriate files manually.\n  Sorry for the inconveniences.\n"'


# --- MakeMaker dist section:

DISTVNAME = $(DISTNAME)-$(VERSION)
TAR  = tar
TARFLAGS = cvf
ZIP  = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = @$(NOOP)
POSTOP = @$(NOOP)
TO_UNIX = @$(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"


# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:

#all ::	config $(INST_PM) subdirs linkext manifypods

all :: pure_all htmlifypods manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

$(INST_AUTODIR)/.exists :: /usr/lib/perl/5.6.1/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.6.1/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl/5.6.1/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.6.1/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl/5.6.1/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.6.1/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN1DIR)/.exists
	@$(NOOP)


$(INST_MAN1DIR)/.exists :: /usr/lib/perl/5.6.1/CORE/perl.h
	@$(MKPATH) $(INST_MAN1DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.6.1/CORE/perl.h $(INST_MAN1DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN1DIR)

config :: $(INST_MAN3DIR)/.exists
	@$(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/lib/perl/5.6.1/CORE/perl.h
	@$(MKPATH) $(INST_MAN3DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.6.1/CORE/perl.h $(INST_MAN3DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker

Version_check:
	@$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) \
		-MExtUtils::MakeMaker=Version_check \
		-e "Version_check('$(MM_VERSION)')"


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	@$(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make dynamic"
#dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT) $(INST_PM)
dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT)
	@$(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
#static :: Makefile $(INST_STATIC) $(INST_PM)
static :: Makefile $(INST_STATIC)
	@$(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker htmlifypods section:

htmlifypods : pure_all
	@$(NOOP)


# --- MakeMaker manifypods section:
POD2MAN_EXE = /usr/bin/pod2man
POD2MAN = $(PERL) -we '%m=@ARGV;for (keys %m){' \

=== debian/changelog ===
svg2zinc-perl (0.9) unstable; urgency=low

  * a better loading of Backend (specially if the backend has some errors
    they are now correctly printed)
  * compatible with the future Tk::Zinc::Debug new api (to come with TkZinc 3.2.96)
  * perl classes generated can now define in which group items will be added
  * a sample script to test generated perl classes (with PerlClass backend): 
  * make test should test that backend works correctly (after some bug report 
    from R. Oger) 

 -- Christophe Mertz <mertz@tls.cena.fr>  Wed, 29 Oct 2003 11:06:56 +0100

svg2zinc-perl (0.8) unstable; urgency=low

  * unknown -render options appeared for some backend
  * -out options was falsely required by Display and Print backend
  * suppression of some unusefull prints
  * better testing of the existence of userdefined Backend
  * svg2zinc.pl now tests if there is an outfile required by some Backend,
    and warns in the case of user defined Backend
  * slight doc enhancements

 -- Christophe Mertz <mertz@tls.cena.fr>  Fri, 17 Oct 2003 15:56:48 +0200

svg2zinc-perl (0.7) unstable; urgency=low

  * BEWARE: Tk::Zinc must be 3.295 or higher. but no dependancies
    because this module can be used without Tk::Zinc installed
  * Backend can now be easily extended, without modifying SVG::SVG2zinc or
    even svg2zinc.pl
  * Provided with two new backends: Image and TclScript (highly experimental) 
  * enhanced manpages for svg2zinc.pl, SVG::SVG2zinc and SVG::SVG2zinc::Backend

 -- Christophe Mertz <mertz@tls.cena.fr>  Mon,  6 Oct 2003 16:29:43 +0200

svg2zinc-perl (0.6) unstable; urgency=low

  * adding README, cpaniser script, MANIFEST (generated),
  * update Tk::Zinc dependancy
  * renaming the ZincExtension sub-module as Tk::Zinc::SVGExtension

 -- Christophe Mertz <mertz@tls.cena.fr>  Wed, 17 Sep 2003 18:27:08 +0200

svg2zinc-perl (0.5) unstable; urgency=low

  * slight evolutions to CPANise this module

 -- Christophe Mertz <mertz@tls.cena.fr>  Wed, 10 Sep 2003 17:57:51 +0200

svg2zinc-perl (0.4) unstable; urgency=low

  * backend classes have been defined. They are currently the following:
    Exec (for displayng the SVG code with TkZinc)
    PerlModule (for generating a perl module able to display the SVG file
    PerlScript (for generating a perl script able to display the SVG file
    Print (for simply printing on the stdout the perl code)
  * Some conversion functions have been extracted and put in the
    Conversions.pm sub-module
  * addition of approx. 40 tests for the Conversions.pm sub-module
  * svg path defined as bezier quadratic are converted to bezier cubic
    (thx lemort@intuilab.com and with the help of Math::Bezier::Convert)
  * gradient can be defined as other gradient with transparency
  * we now limit the number of printed lines when a not-implemented
    attribute is used many many times
  * uuencoded images included in a SVG file are now correctly displayed
    (thx lemort@intuilab.com)
  * some bugs corrections, many detected and/or corrected by lemort@intuilab.com

 -- Christophe Mertz <mertz@tls.cena.fr>  Thu,  4 Sep 2003 08:55:33 +0200

svg2zinc-perl (0.3) unstable; urgency=low

  * now compatible with both zinc-perl 3.2.6h and 3.2.6i (support both gradient syntax)
    Beware: 3.2.6i should be prefered since it corrects some frequent bugs
    with curves containing aligned control points
    There is now an option -version for both the parser and the svg2zinc script.
  * colors defined in svg/html but not in X defaut rgb.txt have been added
  * many bugs correction (opacity, svg id cleaning, some parsing errors, ...)

 -- Christophe Mertz <mertz@tls.cena.fr>  Tue,  6 May 2003 09:58:00 +0200

svg2zinc-perl (0.2) unstable; urgency=low

  * fill-rule is now implemented for path (thanks to zinc 3.2.6h and plc work)
  * SVG tags may be recognized even if they are prefixed with a namespace
    (-namespace arguments in both parser and svg2zinc script)
  * not (yet) implemented svg tags are detected and a warning is issued
  * not implementable tags are identified and their usage is summarized at
    the end of parsing
  * shapes with bezier are now fine;
  * multicontour shapes should be ok
  * some css are now correctly interpreted
  * works with zinc-perl 3.2.6h or higher
  * addition of some samples, either from SVG recommandation, or generated from dia
  * WARNING: some curves containing bezier segements will make zinc 3.2.6h coredump
  due to a zinc 3.2.6h bug
  * This version of svg2zinc-perl will not work any more with the next release of zinc
  due to incompatible evolution in color and gradient specification of zinc 

 -- Christophe Mertz <mertz@tls.cena.fr>  Thu, 20 Mar 2003 10:42:30 +0100

svg2zinc-perl (0.1) unstable; urgency=low

  * Initial Release. Attention, il y a encore de nombreux dfauts

 -- Christophe Mertz <mertz@cena.fr>  Fri, 10 Jan 2003 09:59:55 +0100

=== debian/control ===
Source: svg2zinc-perl
Section: devel
Priority: extra
Maintainer: Christophe Mertz <mertz@cena.fr>
Standards-Version: 3.5.6.0

Package: svg2zinc-perl
Architecture: all
Depends: ${perl:Depends}, zinc-perl (>= 3.2.95), libxml-parser-perl (>= 1.0.1), libjpeg-perl, libpng-perl
Build-Depends: debhelper (>= 3.0.18)
Description: Perl module and filter to display or generate scripts from SVG files
 svg2zinc and SVG2zinc.pm generates images or script code from SVG
 (Scalable Vectorial Graphics, an XML standard for vectorial graphics).
 This made possible the generation of the graphical part of an Human
 Computer Interface with tools such as Ilustrator, sketch, dia or any
 vectorial graphics editor able to generate SVG code.
 The main limitations are the SVG filters (which cannot be implemented),
 animations, and the scripting facility of SVG which are not really
 useful when using Perl, Tcl or another scripting language.
 Try for example:
 svg2zinc.pl Display /usr/share/doc/svg2zinc-perl/samples/....
 Also contains Math::Bezier::Convert (which should/could be in another
 debian package)

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=svg2zinc-perl

ifndef PERL
PERL=/usr/bin/perl
endif

TMP=`pwd`/debian/tmp
archlib = `$(PERL) -MConfig -e 'print $$Config{installarchlib}'`
#config = INSTALLDIRS=perl INSTALLMAN1DIR=$(TMP)/usr/man/man1 INSTALLMAN3DIR=$(TMP)/usr/man/man3 INSTALLPRIVLIB=$(TMP)/usr/lib/perl5 INSTALLARCHLIB=$(TMP)$(archlib) INSTALLSCRIPT=$(TMP)/usr/bin

build:
	$(checkdir)
	$(PERL) Makefile.PL INSTALLDIRS=vendor FULLPERL="PERL_DL_NONLAZY=0 /usr/bin/perl"
	$(MAKE)
	$(MAKE) test
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr
	$(MAKE) pure_install PREFIX=$(TMP)/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	dh_perl
	dh_fixperms
	dh_installdocs doc/doc.txt doc/samples/
	debstd
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)
	$(checkversion)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
